Join AI Assistant Conversation
Add a participant to an existing AI assistant conversation. Use this command to bring an additional call leg into a running AI conversation.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.calls.actions.joinAIAssistant('call_control_id', {
conversation_id: 'v3:abc123',
participant: { id: 'v3:abc123def456', role: 'user' },
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.calls.actions.join_ai_assistant(
call_control_id="call_control_id",
conversation_id="v3:abc123",
participant={
"id": "v3:abc123def456",
"role": "user",
},
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Calls.Actions.JoinAIAssistant(
context.TODO(),
"call_control_id",
telnyx.CallActionJoinAIAssistantParams{
ConversationID: "v3:abc123",
Participant: telnyx.CallActionJoinAIAssistantParamsParticipant{
ID: "v3:abc123def456",
Role: "user",
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.calls.actions.ActionJoinAiAssistantParams;
import com.telnyx.sdk.models.calls.actions.ActionJoinAiAssistantResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionJoinAiAssistantParams params = ActionJoinAiAssistantParams.builder()
.callControlId("call_control_id")
.conversationId("v3:abc123")
.participant(ActionJoinAiAssistantParams.Participant.builder()
.id("v3:abc123def456")
.role(ActionJoinAiAssistantParams.Participant.Role.USER)
.build())
.build();
ActionJoinAiAssistantResponse response = client.calls().actions().joinAiAssistant(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.calls.actions.join_ai_assistant(
"call_control_id",
conversation_id: "v3:abc123",
participant: {id: "v3:abc123def456", role: :user}
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->calls->actions->joinAIAssistant(
'call_control_id',
conversationID: 'v3:abc123',
participant: [
'id' => 'v3:abc123def456',
'role' => 'user',
'name' => 'John Doe',
'onHangup' => 'continue_conversation',
],
clientState: 'aGF2ZSBhIG5pY2UgZGF5ID1d',
commandID: '891510ac-f3e4-11e8-af5b-de00688a4901',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx calls:actions join-ai-assistant \
--api-key 'My API Key' \
--call-control-id call_control_id \
--conversation-id v3:abc123 \
--participant '{id: v3:abc123def456, role: user}'curl --request POST \
--url https://api.telnyx.com/v2/calls/{call_control_id}/actions/ai_assistant_join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversation_id": "v3:abc123",
"participant": {
"id": "v3:abc123def456",
"role": "user",
"name": "John Doe",
"on_hangup": "continue_conversation"
},
"client_state": "aGF2ZSBhIG5pY2UgZGF5ID1d",
"command_id": "891510ac-f3e4-11e8-af5b-de00688a4901"
}
'{
"data": {
"result": "ok",
"conversation_id": "d7e9c1d4-8b2a-4b8f-b3a7-9a671c9e9b0a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier and token for controlling the call
Body
AI Assistant Join request
The ID of the AI assistant conversation to join.
"v3:abc123"
Show child attributes
Show child attributes
Use this field to add state to every subsequent webhook. It must be a valid Base-64 encoded string.
"aGF2ZSBhIG5pY2UgZGF5ID1d"
Use this field to avoid duplicate commands. Telnyx will ignore any command with the same command_id for the same call_control_id.
"891510ac-f3e4-11e8-af5b-de00688a4901"
Response
Successful response upon making a call control command that includes conversation_id.
Show child attributes
Show child attributes
{
"result": "ok",
"conversation_id": "d7e9c1d4-8b2a-4b8f-b3a7-9a671c9e9b0a"
}
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.calls.actions.joinAIAssistant('call_control_id', {
conversation_id: 'v3:abc123',
participant: { id: 'v3:abc123def456', role: 'user' },
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.calls.actions.join_ai_assistant(
call_control_id="call_control_id",
conversation_id="v3:abc123",
participant={
"id": "v3:abc123def456",
"role": "user",
},
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Calls.Actions.JoinAIAssistant(
context.TODO(),
"call_control_id",
telnyx.CallActionJoinAIAssistantParams{
ConversationID: "v3:abc123",
Participant: telnyx.CallActionJoinAIAssistantParamsParticipant{
ID: "v3:abc123def456",
Role: "user",
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.calls.actions.ActionJoinAiAssistantParams;
import com.telnyx.sdk.models.calls.actions.ActionJoinAiAssistantResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionJoinAiAssistantParams params = ActionJoinAiAssistantParams.builder()
.callControlId("call_control_id")
.conversationId("v3:abc123")
.participant(ActionJoinAiAssistantParams.Participant.builder()
.id("v3:abc123def456")
.role(ActionJoinAiAssistantParams.Participant.Role.USER)
.build())
.build();
ActionJoinAiAssistantResponse response = client.calls().actions().joinAiAssistant(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.calls.actions.join_ai_assistant(
"call_control_id",
conversation_id: "v3:abc123",
participant: {id: "v3:abc123def456", role: :user}
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->calls->actions->joinAIAssistant(
'call_control_id',
conversationID: 'v3:abc123',
participant: [
'id' => 'v3:abc123def456',
'role' => 'user',
'name' => 'John Doe',
'onHangup' => 'continue_conversation',
],
clientState: 'aGF2ZSBhIG5pY2UgZGF5ID1d',
commandID: '891510ac-f3e4-11e8-af5b-de00688a4901',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx calls:actions join-ai-assistant \
--api-key 'My API Key' \
--call-control-id call_control_id \
--conversation-id v3:abc123 \
--participant '{id: v3:abc123def456, role: user}'curl --request POST \
--url https://api.telnyx.com/v2/calls/{call_control_id}/actions/ai_assistant_join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversation_id": "v3:abc123",
"participant": {
"id": "v3:abc123def456",
"role": "user",
"name": "John Doe",
"on_hangup": "continue_conversation"
},
"client_state": "aGF2ZSBhIG5pY2UgZGF5ID1d",
"command_id": "891510ac-f3e4-11e8-af5b-de00688a4901"
}
'{
"data": {
"result": "ok",
"conversation_id": "d7e9c1d4-8b2a-4b8f-b3a7-9a671c9e9b0a"
}
}